Update Tool
PATCH /tools/{tool_id}Parameters
Section titled “Parameters”| Name | In | Type | Notes | |
|---|---|---|---|---|
tool_id | path | string (uuid) | required | — |
Request body — ToolPatch
Section titled “Request body — ToolPatch”| Field | Type | Notes | |
|---|---|---|---|
description | string | null | optional | — |
display_name | string | null | optional | — |
input_schema | object | null | optional | — |
config | object | null | optional | — |
secrets_required | string[] | null | optional | — |
concurrency | read | write | exclusive | null | optional | — |
effect | read | write | null | optional | — |
critical | boolean | null | optional | — |
client_owned | boolean | null | optional | — |
response_max_chars | integer | null | optional | min 1 |
timeout_s | integer | null | optional | min 1 max 3600 |
is_active | boolean | null | optional | — |
Responses
Section titled “Responses”| Status | Description | Body |
|---|---|---|
200 | Successful Response | ToolView |
422 | Validation Error | HTTPValidationError |
Example
Section titled “Example”curl -X PATCH https://your-deployment.example.com/tools/{tool_id} \ -H "Authorization: Bearer $COBRE_TOKEN"Response — ToolView
Section titled “Response — ToolView”| Field | Type | Notes | |
|---|---|---|---|
id | string (uuid) | required | — |
scope | workspace | organization | platform | required | — |
organization_id | string (uuid) | null | required, nullable | — |
workspace_id | string (uuid) | null | required, nullable | — |
slug | string | required | — |
kind | http | remote_protocol | builtin | code_exec | web_search | web_fetch | delegate | schedule | required | — |
display_name | string | null | required, nullable | — |
description | string | required | — |
input_schema | object | required | — |
config | object | required | — |
secrets_required | string[] | required | — |
concurrency | read | write | exclusive | required | — |
effect | read | write | required | — |
critical | boolean | required | — |
client_owned | boolean | required | — |
response_max_chars | integer | required | — |
timeout_s | integer | required | — |
is_active | boolean | required | — |
created_at | string (date-time) | required | — |
updated_at | string (date-time) | required | — |